xml_file_iterator_struct Struct Reference

Opaque data structure for XML file iterator. More...

## Data Fields

int | initialized
int | output_depth
GQueue * | element_queue
xmlSAXHandler | sax_handler
xmlParserCtxtPtr | parser_ctxt
gchar * | file_path
FILE * | file
int | stack_depth

## Detailed Description

Opaque data structure for XML file iterator.

## Field Documentation

## element_queue

GQueue* xml_file_iterator_struct::element_queue

## file

FILE* xml_file_iterator_struct::file

## file_path

gchar* xml_file_iterator_struct::file_path

## initialized

int xml_file_iterator_struct::initialized

## output_depth

int xml_file_iterator_struct::output_depth

## parser_ctxt

xmlParserCtxtPtr xml_file_iterator_struct::parser_ctxt

## sax_handler

xmlSAXHandler xml_file_iterator_struct::sax_handler

## stack_depth

int xml_file_iterator_struct::stack_depth

The documentation for this struct was generated from the following file:

- util/xmlutils.c